Skip to content

Discover Cluster Workloads

GET
/clusters/{cluster_id}/workloads/discover
curl --request GET \
--url https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/workloads/discover

Discover running workloads in an imported cluster.

Scans the cluster for Helm releases and K8s workloads (Deployments, StatefulSets, DaemonSets) and returns them for import selection.

cluster_id
required
Cluster Id
string format: uuid

Successful Response

Media type application/json
DiscoveredWorkloadListResponse
object
workloads
required
Workloads
Array<object>
DiscoveredWorkload

A workload discovered from a running Kubernetes cluster.

object
name
required
Name
string
namespace
required
Namespace
string
kind
required
Kind
string
helm_chart_name
Any of:
string
helm_chart_version
Any of:
string
custom_values_yaml
Any of:
string
helm_status
Any of:
string
docker_image
Any of:
string
replicas
Any of:
integer
cpu_request
Any of:
number
memory_request_mb
Any of:
integer
container_port
Any of:
integer
service_account_name
Any of:
string
selector_match_labels
Any of:
object
key
additional properties
string
pod_template_labels
Any of:
object
key
additional properties
string
manifest_yaml
Any of:
string
extra_pod_spec_yaml
Any of:
string
extra_container_spec_yaml
Any of:
string
is_helm_managed
Is Helm Managed
boolean
already_imported
Already Imported
boolean
total
required
Total
integer
Example
{
"workloads": [
{
"is_helm_managed": false,
"already_imported": false
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}